<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">Cost & Benefit Analysis
        </a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับ Cost & Benefit Analysis ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate === null)">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button type="button" class="btn btn-primary sandwork" (click)="sandwork()">
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>

  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<br />
<!-- =============================================Part Read Only=================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-eight [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-eight>
        <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div *ngIf="validate === true">
          <div class="row">
            <div class="col-12">
              <div class="typeofcollateral">
                <p class="head-detal">อัปโหลดเอกสาร</p>
                <div class="dropzone">
                  <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                    (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />

                  <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                  <a style="font-size: 18px; color: #00a6e6;"
                    for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
                </div>
              </div>
              <br />
            </div>

            <!-- <div class="row"> -->
            <div class="col-12 table_files">
              <table class="table-file" mat-table [dataSource]="dataSource_file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    {{ element.fileName }}
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
            </div>
          </div>
        </div>
        <!-- ================================================================================================ -->
      </div>
    </div>
  </div>
  <div *ngFor="let present of listSummaryStep9 ; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">
          <div class="table-warpper">
            <div class="row">
              <div class="col-12">
                <p class="head-detal">Financial</p>
                <hr />
              </div>
              <div class="col-12">
                <table class="table-financial table">
                  <thead>
                    <tr>
                      <th width="18%">Financial</th>
                      <th width="18%">รายการ</th>
                      <th width="18%" class="text-center">
                        <!-- <input type="number" class="form-control" [(ngModel)]="stepEight.year[0]"
                        (ngModelChange)="changeYear($event); changeSaveDraft()">
                      <span class="finan-year" *ngIf="stepEight.year[0]">ปี พ.ศ.</span> -->
                        <span>ปี พ.ศ. </span><span>{{ stepEight.year[0] }}</span>
                      </th>
                      <th width="18%" class="text-center">
                        <span>ปี พ.ศ. </span><span>{{ stepEight.year[1] }}</span>
                      </th>
                      <th width="18%" class="text-center">
                        <span>ปี พ.ศ. </span><span>{{ stepEight.year[2] }}</span>
                      </th>
                      <!-- <th width="10%"></th> -->
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td colspan="6" class="p-0">
                        <!-- ตารางรายได้ -->
                        <table class="table table-sub" style="width: 100%;">
                          <thead>
                            <tr>
                              <th width="18%">
                                <span>รายได้*</span>
                              </th>
                              <th colspan="5"></th>
                              <!-- <th width="10%"> -->
                              <!-- <button class="btn-create-data" (click)="addRow(1)"><img src="assets/img/plus-icon.png"
                                  class="add-icon" alt=""> เพิ่มข้อมูล</button> -->
                              <!-- </th> -->
                            </tr>
                          </thead>
                          <tbody>
                            <tr *ngFor="
                              let item of stepEight['costBenefit'].income;
                              index as i
                            " class="heading-padding">
                              <td width="18%"></td>
                              <td width="18%" style="max-width: 20px;">
                                <!-- <img
                                cdkDragHandle
                                class="icongrap"
                                src="assets/img/grip-vertical.svg"
                                alt=""
                              /><input
                                type="text"
                                class="form-control"
                                placeholder="ระบุรายการของรายได้"
                                [(ngModel)]="item.title"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.title }}
                              </td>
                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุรายได้"
                                [(ngModel)]="item.tranx[0]"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.tranx[0] }}
                              </td>
                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุรายได้"
                                [(ngModel)]="item.tranx[1]"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.tranx[1] }}
                              </td>
                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุรายได้"
                                [(ngModel)]="item.tranx[2]"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.tranx[2] }}
                              </td>
                              <!-- <td> -->
                              <!-- <span
                                class="delete-data"
                                (click)="removeItem(1, i)"
                                >ลบข้อมูล</span
                              > -->
                              <!-- </td> -->
                            </tr>
                            <tr width="18%" style="text-align: center;">
                              <td colspan="6"></td>
                              <!-- <td> -->
                              <!-- <button
                                class="btn-create-data"
                                (click)="addRow(1)"
                              >
                                <img
                                  src="assets/img/plus-icon.png"
                                  class="add-icon"
                                  alt=""
                                />
                                เพิ่มข้อมูล
                              </button> -->
                              <!-- </td> -->
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="6" class="p-0">
                        <!-- ตารางค่าใช้จ่าย -->
                        <table class="table table-striped">
                          <thead>
                            <tr>
                              <th width="18%">
                                <span>ค่าใช้จ่าย**</span>
                              </th>
                              <th colspan="5"></th>
                              <!-- <th width="10%">
                              <button
                                class="btn-create-data"
                                (click)="addRow(2)"
                              >
                                <img
                                  src="assets/img/plus-icon.png"
                                  class="add-icon"
                                  alt=""
                                />
                                เพิ่มข้อมูล
                              </button>
                            </th> -->
                            </tr>
                          </thead>
                          <tbody>
                            <tr *ngFor="
                              let item of stepEight['costBenefit'].outlay;
                              index as i
                            " class="heading-padding">
                              <td width="18%"></td>
                              <td width="18%">
                                <!-- <img
                                cdkDragHandle
                                class="icongrap"
                                src="assets/img/grip-vertical.svg"
                                alt=""
                              /><input
                                type="text"
                                class="form-control"
                                placeholder="ระบุรายการของค่าใช้จ่าย"
                                [(ngModel)]="item.title"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.title }}
                              </td>

                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุค่าใช้จ่าย"
                                [(ngModel)]="item.tranx[0]"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.tranx[0] }}
                              </td>

                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุค่าใช้จ่าย"
                                [(ngModel)]="item.tranx[1]"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.tranx[1] }}
                              </td>

                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุค่าใช้จ่าย"
                                [(ngModel)]="item.tranx[2]"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ item.tranx[2] }}
                              </td>

                              <!-- <td>
                              <span
                                class="delete-data"
                                (click)="removeItem(2, i)"
                                >ลบข้อมูล</span
                              >
                            </td> -->
                            </tr>
                            <tr>
                              <td colspan="6"></td>
                              <!-- <td>
                              <button
                                class="btn-create-data"
                                (click)="addRow(2)"
                              >
                                <img
                                  src="assets/img/plus-icon.png"
                                  class="add-icon"
                                  alt=""
                                />
                                เพิ่มข้อมูล
                              </button>
                            </td> -->
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="6" class="p-0">
                        <!-- ตารางกำไร -->
                        <table class="table table-striped">
                          <thead>
                            <tr>
                              <th width="18%">
                                <span>กำไร</span>
                              </th>
                              <th colspan="5"></th>
                              <!-- <th width="10%"></th> -->
                            </tr>
                          </thead>
                          <tbody>
                            <tr class="heading-padding">
                              <td width="18%"></td>
                              <td width="18%">
                                <!-- <input
                                type="text"
                                class="form-control"
                                placeholder="ระบุรายการของกำไร"
                                [(ngModel)]="
                                  stepEight['costBenefit'].profit.title
                                "
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ stepEight["costBenefit"].profit.title }}
                              </td>

                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุกำไร"
                                [(ngModel)]="
                                  stepEight['costBenefit'].profit.tranx[0]
                                "
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ stepEight["costBenefit"].profit.tranx[0] }}
                              </td>
                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุกำไร"
                                [(ngModel)]="
                                  stepEight['costBenefit'].profit.tranx[1]
                                "
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{ stepEight["costBenefit"].profit.tranx[1] }}
                              </td>
                              <td width="18%" style="text-align: center;">
                                <!-- <input
                                type="number"
                                class="form-control"
                                placeholder="ระบุกำไร"
                                [(ngModel)]="
                                  stepEight['costBenefit'].profit.tranx[2]
                                "
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{stepEight['costBenefit'].profit.tranx[2]}}
                              </td>
                              <!-- <td></td> -->
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="6" class="p-0">
                        <!-- ตาราง ROI (%) -->
                        <table class="table table-striped">
                          <thead>
                            <tr>
                              <th width="18%">
                                <span>ROI (%)</span>
                              </th>
                              <th colspan="6"></th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr class="heading-padding">
                              <td width="20%"></td>
                              <td colspan="6">
                                <!-- <input
                                type="text"
                                class="form-control"
                                placeholder="ระบุรายละเอียด"
                                [(ngModel)]="stepEight['costRoi']"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{stepEight['costRoi']}}
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="6" class="p-0">
                        <!-- ตาราง RAROC (%) -->
                        <table class="table table-striped">
                          <thead>
                            <tr>
                              <th width="20%">
                                <span>RAROC (%)</span>
                              </th>
                              <th colspan="6"></th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr class="heading-padding">
                              <td></td>
                              <td colspan="6">
                                <!-- <input
                                type="text"
                                class="form-control"
                                placeholder="ระบุรายละเอียด"
                                [(ngModel)]="stepEight['costRaroc']"
                              /> -->
                                {{stepEight['costRaroc']}}
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="6" class="p-0">
                        <!-- ตาราง RAROC (%) -->
                        <table class="table table-striped">
                          <thead>
                            <tr>
                              <th width="18%">
                                <span>Break Even Point (ปี)</span>
                              </th>
                              <th colspan="6"></th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr class="heading-padding">
                              <td width="20%"></td>
                              <td colspan="6">
                                <!-- <input
                                type="text"
                                class="form-control"
                                placeholder="ระบุรายละเอียด"
                                [(ngModel)]="stepEight['costBreakEventPoint']"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{stepEight['costBreakEventPoint']}}
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </td>
                    </tr>
                    <!-- <tr>
                        <td colspan="6" class="p-0 bt-0">
                          <div class="box-note-text">
                            หมายเหตุ <br>
                            * รวมรายได้ทุกประเภททั้งกรณี Credit และ Non Credit <br>
                            ** รวมการลงทุนในระบบ IT และการว่าจ้าง Outsourcing (ถ้ามี) โดยขอให้แยกหัวข้อต่างหากให้ชัดเจน
                          </div>
                          <div class="box-note-text">
                            หมายเหตุ (ต่อ) <br>
                            1. กรณีผลิตภัณฑ์สินเชื่อแนบการคำนวณ RAROC <br>
                            2. กรณีที่มีการลงทุน, เช่า หรือพัฒนาระบบแนบการคำนวณ Template Feasibility
                          </div>
                          <br>
                        </td>
                      </tr> -->
                    <!-- <tr>
                        <td colspan="6" class="p-0 bt-0" style="background-color: #FAFAFA; border-top: 0px ;">
                          <p class="head-detal">สมมติฐานที่ใช้คำนวณ</p>
                          <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลสมมติฐานที่ใช้คำนวณ"
                            style="height: 261px;" [(ngModel)]="stepEight['hypothesis']">
                          </textarea>
                        </td>
                      </tr> -->
                    <!-- <tr>
                        <td colspan="6" class="p-0 bt-0">
                          <p class="head-detal">วิเคราะห์เปรียบเทียบ Cost/Benefit ระหว่างธนาคารฯดำเนินเองและจ้าง Outsource
                            (กรณีจ้าง Outsource)</p>
                          <p class="sub-head-detail">กรณีธนาคารดำเนินการเอง</p>
                          <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลกรณีธนาคารดำเนินการเอง"
                            style="height: 261px;" [(ngModel)]="stepEight['costBenefitText']"></textarea>
                          <p class="sub-head-detail">กรณีจ้าง Outsource</p>
                          <textarea class="form-control" rows="enter" placeholder="เพิ่มข้อมูลกรณีจ้าง Outsource"
                            style="height: 261px;" [(ngModel)]="stepEight['costBenefitOutsource']"></textarea>
                        </td>
                      </tr> -->
                  </tbody>
                </table>
              </div>
              <div class="col-12">
                <div class="box-note-text">
                  หมายเหตุ <br />
                  * รวมรายได้ทุกประเภททั้งกรณี Credit และ Non Credit <br />
                  ** รวมการลงทุนในระบบ IT และการว่าจ้าง Outsourcing (ถ้ามี)
                  โดยขอให้แยกหัวข้อต่างหากให้ชัดเจน
                </div>
                <div class="box-note-text">
                  หมายเหตุ (ต่อ) <br />
                  1. กรณีผลิตภัณฑ์สินเชื่อแนบการคำนวณ RAROC <br />
                  2. กรณีที่มีการลงทุน, เช่า หรือพัฒนาระบบแนบการคำนวณ Template
                  Feasibility
                </div>
                <br />
              </div>
              <div class="col-12">
                <p class="head-detal">สมมติฐานที่ใช้คำนวณ</p>
                <textarea class="form-control textarea-container" rows="enter"
                  placeholder="เพิ่มข้อมูลสมมติฐานที่ใช้คำนวณ" style="height: 261px;"
                  [(ngModel)]="stepEight['hypothesis']" disabled>
 (ngModelChange)="changeSaveDraft()"
                  </textarea>
              </div>
              <div class="col-12">
                <br />
              </div>
              <div class="col-12">
                <p class="head-detal">
                  วิเคราะห์เปรียบเทียบ Cost/Benefit ระหว่างธนาคารฯดำเนินเองและจ้าง
                  Outsource (กรณีจ้าง Outsource)
                </p>
              </div>
              <div class="col-12">
                <p class="sub-head-detail">กรณีธนาคารดำเนินการเอง</p>
                <textarea class="form-control textarea-container" rows="enter"
                  placeholder="เพิ่มข้อมูลกรณีธนาคารดำเนินการเอง" style="height: 261px;"
                  [(ngModel)]="stepEight['costBenefitText']" (ngModelChange)="changeSaveDraft()" disabled>
              </textarea>
              </div>
              <div class="col-12">
                <p class="sub-head-detail">กรณีจ้าง Outsource</p>
                <textarea class="form-control textarea-container" rows="enter"
                  placeholder="เพิ่มข้อมูลกรณีจ้าง Outsource" style="height: 261px;"
                  [(ngModel)]="stepEight['costBenefitOutsource']" (ngModelChange)="changeSaveDraft()" disabled>
              </textarea>
              </div>
              <div class="col-12">
                <br />
              </div>
            </div>
          </div>
          <!-- =========================================================================================================== -->
          <div class="row">
            <div class="col-12">
              <p class="head-detal">Non-Financial</p>
            </div>
            <div
              style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
              <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                placeholder="เพิ่มรายละเอียด Non-Financial" style="min-height:130px;background-color:#e9ecef;border:0;"
                [(ngModel)]="stepEight['nonFinanceText']" disabled></textarea>
              <div style="height: auto;position:relative;background-color:#e9ecef;">
                <div class="col-12">
                  <div>
                    <div class="input_upload" style="color: #999999;min-height:130px">
                      <hr style="margin: 0px;" />
                      {{ image1.length }} ไฟล์ภาพที่แนบมา

                      <div class="image_row">
                        <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                          <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                            <div class="unnon_image">
                              <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>


                  </div>
                </div>
              </div>
            </div>
          </div>
          <br>
          <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
          <div>
            <div class="row">
              <div class="col-12">
                <label style="
                  color: #999999;
                  font-family: Prompt;
                  font-size: 18px;
                  font-weight: 500;
                  letter-spacing: 0;
                  line-height: 28px;
                ">ไฟล์เอกสารเพิ่มเติม</label>
                <br />
              </div>

              <!-- <div class="row"> -->
              <div class="col-12 table_files">
                <table mat-table [dataSource]="dataSource_file_summary">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef style="text-align: center;">ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element" style="text-align: center;">
                      {{ element.fileName }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef style="text-align: center;">ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element" style="text-align: center;">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="download">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
                      <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModalNine" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" [ngClass]="{
              'modal-image-gallery': i !== modalmainImageIndex,
              'modal-image-gallery-select': i === modalmainImageIndex
            }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------------------------------------------------------------------------------ -->

<!-- ----------------------------------------- next button -------------------------------------------------- -->
<div *ngIf="(validate === true || validate === null)">
  <br> <br>
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next()">ถัดไป</button>
    </div>
  </div>
  <br> <br>
</div>
<div class="row" *ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>